Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.io.conduits
Class ConduitID

    java.lang.Object
      things.thinger.io.conduits.ConduitID

All Implemented Interfaces:
  WhoAmI

    public class ConduitID

extends java.lang.Object
implements WhoAmI

A ConduitID. It implements WHoAmI, so it can express a conduit ID as a unique String.

Version:
  1.0

  Version History

      EPG - Adapted from autohit - 29 JUN 05

Author:
  Erich P. Gatejen

Field Summary
`static java.lang.String` | `CONDUIT_ID_SEPERATOR` Defines the path separator for a conduit it.

Constructor Summary
`ConduitID(java.lang.String imposedID)` Construct with an imposed ID;
`ConduitID(java.lang.String imposedID, java.lang.String imposedTAG)` Construct with an imposed ID;

Method Summary
`ConduitID` | `birthMyChild(java.lang.String childsName)` Create a child ID using the given name.
`WhoAmI` | `birthMyChild(java.lang.String childsName, java.lang.String childsTag)` Create a child ID using the given name and tag.
`java.lang.String` | `toString()` Give a textual ID.
`java.lang.String` | `toTag()` Give a TAG version of the ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONDUIT_ID_SEPERATOR

    public static final java.lang.String CONDUIT_ID_SEPERATOR

  Defines the path separator for a conduit it.

  See Also:
    Constant Field Values

Constructor Detail

### ConduitID

    public ConduitID(java.lang.String imposedID)

  Construct with an imposed ID;

  Parameters:
    `imposedID` - The id imposed by the constructing caller.

### ConduitID

    public ConduitID(java.lang.String imposedID,
                     java.lang.String imposedTAG)

  Construct with an imposed ID;

  Parameters:
    `imposedID` - The id imposed by the constructing caller.
    `imposedTAG` - The optional TAG of the caller, not to be used to positive identification.

Method Detail

### toString

    public java.lang.String toString()

  Give a textual ID. This is a tunable name.

  Specified by:
    `toString` in interface `WhoAmI`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the textual representation of the ID.

### toTag

    public java.lang.String toTag()

  Give a TAG version of the ID. This cannot be used for positive ID, but may make a convenient mnemonic. An implementation may return the same value as toString().

  Specified by:
    `toTag` in interface `WhoAmI`
  Returns:
    the tag representation of the ID.

### birthMyChild

    public ConduitID birthMyChild(java.lang.String childsName)

  Create a child ID using the given name.

  Specified by:
    `birthMyChild` in interface `WhoAmI`
  Parameters:
    `childsName` - the given name for the child.
  Returns:
    the textual representation of the ID.

### birthMyChild

    public WhoAmI birthMyChild(java.lang.String childsName,
                               java.lang.String childsTag)

  Create a child ID using the given name and tag. It must yield the same ID if the same value is used for childsName.

  Specified by:
    `birthMyChild` in interface `WhoAmI`
  Parameters:
    `childsName` - the given name for the child.
    `childsTag` - the tag for the child.
  Returns:
    the id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.